﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.InterestDto>
@{
    ViewBag.Title = "Interest";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">이자내역 /ประวัติผลตอบเเทน</h5>
                    </div>
                </div>
                <div class="card-body table-responsive">
                    <div class="xp-alert mt-3">
                        <div class="alert alert-light" role="alert">
                            @using (Html.BeginForm("", "Interest", FormMethod.Post))
                            {
                                <div class="xp-alert">
                                    <div class="row justify-content-center">
                                        <div class="form-row">
                                            <div class="col-auto">
                                                <div class="input-group mb-2">
                                                    @Html.TextBox("keyword", ViewBag.CurrentFilter as string, new { @class = "form-control border bg-white", @style = "width: 700px;", placeholder = "회원아이디" })
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <button type="submit" class="btn btn-info mb-2"><i class="icon-magnifier mr-2"></i>Search</button>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            }
                        </div>
                    </div>
                    <div style="min-width:1366px;max-width:100%; margin:auto;">
                        @using (Html.BeginForm("ExportToExcel", "Interest", FormMethod.Post))
                        {
                            <div class="align-middle">
                                <span class="badge badge-primary badge-pill">총회원수 @ViewBag.Count 명</span>
                                <div class="float-right">
                                    <button type="submit" id="btnExport" style="margin-top:-10px;" class="btn btn-rounded btn-warning"><i class="icon-printer mr-2"></i> Export</button>
                                </div>
                            </div>
                            <div class="table-responsive m-b-30 mt-2">
                                <table class="table table-bordered">
                                    <thead class="thead-dark">
                                        <tr class="text-center">
                                            <th class="align-middle" style="width:200px;">회원아이디 / รหัสสมาชิก</th>
                                            <th class="align-middle">이름 / ชื่อ</th>
                                            <th class="align-middle" style="width:300px;">이자금액 / ราคากำไร</th>
                                            <th class="align-middle" style="width:200px;">이자발생날짜 / วันที่ขาย</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model != null && Model.Count() != 0)
                                        {
                                            foreach (var item in Model)
                                            {
                                                <tr class="text-center">
                                                    <td class="align-middle" style="width:200px;">@Html.DisplayFor(modelItem => item.username)</td>
                                                    <td class="align-middle">@Html.DisplayFor(modelItem => item.fullname)</td>
                                                    <td class="align-middle" style="width:300px;">@Html.DisplayFor(modelItem => item.interest)</td>
                                                    <td class="align-middle" style="width:200px;">@Html.DisplayFor(modelItem => item.sale_date)</td>
                                                </tr>
                                            }
                                        }
                                        else
                                        {
                                            <tr class="text-center">
                                                <td colspan="4">
                                                    No Data !!
                                                </td>
                                            </tr>
                                        }
                                    </tbody>
                                </table>
                                @{
                                    if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                                    {
                                        <div class="justify-content-center row">

                                            @Html.PagedListPager(Model, Page => Url.Action("Index", "Interest", new { Page }))

                                        </div>
                                    }
                                }
                            </div>
                         }
                    </div>
                </div>
            </div>
            <!-- End XP Col -->
        </div>
    </div>
</div>

